---
title: WebGLRenderingContext.getContextAttributes()
slug: Web/API/WebGLRenderingContext/getContextAttributes
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGLRenderingContext
---
<div>{{APIRef("WebGL")}}</div>

<p>The <code><strong>WebGLRenderingContext.getContextAttributes()</strong></code> method returns a <code>WebGLContextAttributes</code> object that contains the actual context parameters. Might return {{jsxref("null")}}, if the context is lost.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var><em>gl</em></var>.getContextAttributes();</pre>

<h3 id="Return_value">Return value</h3>

<p>A <code>WebGLContextAttributes</code> object that contains the actual context parameters, or {{jsxref("null")}} if the context is lost.</p>

<h2 id="Examples">Examples</h2>

<p>Given this {{HTMLElement("canvas")}} element</p>

<pre class="brush: html">&lt;canvas id="canvas"&gt;&lt;/canvas&gt;
</pre>

<p>and given this WebGL context</p>

<pre class="brush: js">var canvas = document.getElementById('canvas');
var gl = canvas.getContext('webgl');
gl.getContextAttributes();
</pre>

<p>the <code>getContextAttributes</code> method returns an object that describes the attributes set on this context, for example:</p>

<pre class="brush: js">{
  alpha: true,
  antialias: true,
  depth: true,
  failIfMajorPerformanceCaveat: false,
  powerPreference: "default",
  premultipliedAlpha: true,
  preserveDrawingBuffer: false,
  stencil: false,
  desynchronized: false
}</pre>

<p>The context attributes can be set when creating the context using the {{domxref("HTMLCanvasElement.getContext()")}} method:</p>

<pre class="brush: js">canvas.getContext('webgl',
                 { antialias: false,
                   depth: false });</pre>

<p>See {{domxref("HTMLCanvasElement.getContext()", "getContext()")}} for more information about the individual attributes.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("WebGL", "#5.14.2", "WebGLRenderingContext.getContextAttributes")}}</td>
   <td>{{Spec2("WebGL")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGLRenderingContext.getContextAttributes")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("HTMLCanvasElement.getContext()")}}</li>
 <li>{{domxref("CanvasRenderingContext2D.getContextAttributes()")}}</li>
</ul>
